function data=mphcomponentinfo(model, comptag)
% MPHGETCOMPONENTINFO Gets information about a component
%  
%   INFO = MPHCOMPONENTINFO(MODEL, COMPONENTTAG) returns information
%   about a component.
%   If there is only one component the COMPONENTTAG is optional.
%
%   INFO is a structure containing the following fields:
%   Field            Description
%   -----------------------------------------------------------------------
%   tag              Component tag
%   geom             Geometries in the component
%   mesh             Meshes in the component
%   geometricmodel   Geometric model defining the physics
%   scope            Scope expression
%   basesystem       Base unit system
%   sorder           Shape order
%   geometrycoord    Coordinate variables for the geometry frame
%   materialcoord    Coordinate variables for the material frame
%   meshcoord        Coordinate variables for the mesh frame
%   spatialcord      Coordinate variables for the spatial frame
%
%   See also: mphnavigator

% Copyright 2012-2023 COMSOL
