function pd=mphdataset(model,datasettag,varargin)
% MPHDATASET Plot a dataset
%
%   MPHDATASET(MODEL, DSETTAG) plots a dataset with the tag DSETTAG.
%
%   Valid property/value pairs include:
%   Property     Value/{Default}              Description
%   -----------------------------------------------------------------------
%   createplot   {'on'} | 'off'               Create a plot
%   parent       Double                       Parent axis
%   server       'on' | {'off'}               Plot on server
%   view         String | {''} | 'auto'       View settings
%
%   Example:
%     % Open the model thin_film_resistance.mph from the COMSOL Multiphysics
%     % Application library:
%     model = mphopen('thin_film_resistance');
%     % Plot the cutline dataset cln1:
%     mphdataset(model,'cln1')
%
%   See also: mphdatasetinfo, mphnavigator

%   Copyright 2020-2023 COMSOL
