function [data,unit,headers]=mphevalpointmatrix(model,expr,varargin)
% MPHEVALPOINTMATRIX Evaluate matrix quantities at points in the geometry
%
%   M = MPHEVALPOINTMATRIX(MODEL, EXPR, ...) evaluates the point matrix 
%   of the variable EXPR and returns the full matrix M.
%
%   Valid property/value pairs include:
%   Property     Value/{Default}            Description
%   -----------------------------------------------------------------------
%   dataset      String {''}                Data set tag
%   dataseries   {'none'} | 'average' |     Dataseries operation
%                'sum'
%   outersolnum  Positive integer {1} |     Solution number for parametric
%                'end' | 'all'              sweep
%   selection    String| Positive           Set selection tag or entity
%                integer array |            number
%                {[]}
%   solnum       Integer vector |           Solution for evaluation
%                'end' | {'all'}
%   t            Double array {''}          Time for evaluation
%
%   See also: mpheval, mphevalglobalmatrix, mphevalpoint, mphglobal, mphint2,
%   mphinterp

%   Copyright 2012-2023 COMSOL
