function data=mphgetexpressions(node,arg)
% MPHGETEXPRESSIONS Get the model variables and model parameters
% expressions
%
%   EXPR = MPHGETEXPRESSIONS(NODE) returns expressions from the node
%   MODELNODE as a cell array. EXPR contains the list of the variable
%   names, the variable expressions and the variable descriptions.
%
%   Note that not all nodes have expressions defined.
%
%   Example:
%     % Load model_tutorial_llmatlab.mph:
%     model = mphopen('model_tutorial_llmatlab');
%     % Get the expressions defined in the parameters node
%     expr = mphgetexpressions(model.param)
%
%   See also: mphevaluate, mphgetproperties, mphgetselection, mphmodel,
%   mphnavigator, mphsearch

%   Copyright 2011-2023 COMSOL
