function pd=mphsurf(varargin)
% Create plot data from surf data
%
%   PD = MPHSURF(X,Y,Z) creates the plotdata structure PD from surf data X,
%   Y and Z.
%
%   PD = MPHSURF(Z) creates the plotdata structure PD from surf data Z. A 
%   unit scale is assumed for the x and y coordinates.
%
%   Example:
%     % Create random height data
%     [x,y] = meshgrid(-0.1:0.2:1.1,-0.4:0.2:0.4); 
%     z = cumsum(0.1*randn(size(x)));
%     % Create 3D surface plotdata structure
%     pd = mphsurf(x,y,z);
%     mphplot(pd)
%
%   See also: mphquad2tri, mphreadstl, mphwritestl

% Copyright 2012-2023 COMSOL
